GSR-UI-CLI(1)

NAME
gsr-ui-cli - command-line interface for gsr-ui

SYNOPSIS
gsr-ui-cli command

DESCRIPTION
gsr-ui-cli is the command-line application to control gsr-ui without using gsr-ui's own hotkeys.

COMMANDS

--help, -h
    Show help message.

toggle-show
    Show/hide the UI.

toggle-record
    Start/stop regular recording.

toggle-pause
    Pause/unpause recording (only applies to regular recording).

toggle-record-region
    Start/stop recording a region.

toggle-record-window
    Start/stop recording a window (or desktop portal on Wayland).

toggle-stream
    Start/stop streaming.

toggle-replay
    Start/stop replay.

replay-save
    Save the current replay.

replay-save-1-min
    Save a replay of the last 1 minute.

replay-save-10-min
    Save a replay of the last 10 minutes.

take-screenshot
    Take a screenshot.

take-screenshot-region
    Take a screenshot of a selected region.

take-screenshot-window
    Take a screenshot of a window (or desktop portal on Wayland).

EXAMPLES

gsr-ui-cli toggle-show
    Show or hide the main window.

gsr-ui-cli toggle-record
    Start or stop screen recording.

AUTHORS
This manual page was written by the Debian team.

REPORTING BUGS
Report bugs to: dec05eba@protonmail.com (mailto:dec05eba@protonmail.com).
Please take a look at the FAQ part of the README before reporting a bug: https://git.dec05eba.com/gpu-screen-recorder-ui/about.

COPYRIGHT
Copyright © dec05eba. Licensed under GPL-3.0-only.

SEE ALSO
Project homepage (https://git.dec05eba.com/gpu-screen-recorder-ui)
GPU Screen Recorder homepage (CLI) (https://git.dec05eba.com/gpu-screen-recorder)
gpu-screen-recorder(1), gsr-ui(1)